- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_drs_group – Creates vm/host group in a given cluster

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create VM/Host groups in a given cluster. Creates a vm group if `vms` is set. Creates a host group if `hosts` is set.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string / required |  | Cluster to create vm/host group.
datacenter string |  | Datacenter to search for given cluster. If not set, we use first cluster we encounter with `cluster_name`. aliases: datacenter_name
group_name string / required |  | The name of the group to create or remove.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
hosts list |  | List of hosts to create in group. Required only if `vms` is not set.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
state string / required | Choices: present ← absent | If set to `present` and the group doesn't exists then the group will be created. If set to `absent` and the group exists then the group will be deleted.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.
vms list |  | List of vms to create in group. Required only if `hosts` is not set.

## Notes

Note

- Tested on vSphere 6.5 and 6.7

## Examples

    ---
    - name: "Create DRS VM group"
      delegate_to: localhost
      vmware_drs_group:
        hostname: "{{ vcenter_hostname }}"
        password: "{{ vcenter_password }}"
        username: "{{ vcenter_username }}"
        cluster_name: DC0_C0
        datacenter_name: DC0
        group_name: TEST_VM_01
        vms:
          - DC0_C0_RP0_VM0
          - DC0_C0_RP0_VM1
        state: present

    - name: "Create DRS Host group"
      delegate_to: localhost
      vmware_drs_group:
        hostname: "{{ vcenter_hostname }}"
        password: "{{ vcenter_password }}"
        username: "{{ vcenter_username }}"
        cluster_name: DC0_C0
        datacenter_name: DC0
        group_name: TEST_HOST_01
        hosts:
          - DC0_C0_H0
          - DC0_C0_H1
          - DC0_C0_H2
        state: present

    - name: "Delete DRS Host group"
      delegate_to: localhost
      vmware_drs_group:
        hostname: "{{ vcenter_hostname }}"
        password: "{{ vcenter_password }}"
        username: "{{ vcenter_username }}"
        cluster_name: DC0_C0
        datacenter_name: DC0
        group_name: TEST_HOST_01
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
drs_group_facts dictionary | always | Metadata about DRS group created Sample: {'drs_group_facts': {'changed': True, 'failed': False, 'msg': 'Created host group TEST_HOST_01 successfully', 'result': {'DC0_C0': [{'group_name': 'TEST_HOST_01', 'hosts': ['DC0_C0_H0', 'DC0_C0_H1', 'DC0_C0_H2'], 'type': 'host'}]}}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Karsten Kaj Jakobsen (@karstenjakobsen)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.